#ifndef __main_H 
#define __main_H

#include 	<hs16p2811.h>

#define	_NOP()		asm("NOP")    
#define	CLRWDT()	asm("clrwdt")    
#define	SLEEP()		asm("sleep")    
#define	DAA()		asm("DAA")    
#define	DAS()		asm("DAS")    
#define	INT()		asm("INT")    
#define	CLRA()		asm("CLRA")    
//#define	ACC_0()		asm("MOVLW 0X00");	//ACC=0    
//#define	RETURN()	asm("RETURN"); 


// ******************************************************************
// ****function declaration****//
// ******************************************************************
void GPIO_Init(void);

void System_Init(void);

void CLR_RAM_EveryBank(void);

void DelayUs(unsigned char delayUs);   

void SendDataRF(unsigned char sendData);

  
// ******************************************************************

//#define  SLEEP_MODE		1


#endif